API ReferenceWallet providers
Retrieve all wallet providers
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_STARTCREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_SUCCESSCREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_FAIL
GET
/v2/presentations/wallet-providersRetrieves all existing wallet providers that can present mDocs for online verification.
Analytic events
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_START
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://example.com/v2/presentations/wallet-providers"[ { "id": "string", "name": "string", "openid4vpConfiguration": { "authorizationEndpoint": "string" } }]How would you rate this page?
Create wallet provider POST
Creates a wallet provider that can present mDocs for online verification. ### **Analytic events** * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_CREATE_START * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_CREATE_SUCCESS * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_CREATE_FAIL
Retrieve a wallet provider GET
Retrieves an existing wallet provider that can present mDocs for online verification. ### **Analytic events** * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_START * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_SUCCESS * CREDENTIAL_PRESENTATION_WALLET_PROVIDER_RETRIEVE_FAIL